"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppModule = void 0;
const common_1 = require("@nestjs/common");
const app_controller_1 = require("./app.controller");
const app_service_1 = require("./app.service");
const wavefront_proxy_checkin_controller_1 = require("./controllers/wavefront-proxy-checkin/wavefront-proxy-checkin.controller");
const wavefront_proxy_report_controller_1 = require("./controllers/wavefront-proxy-report/wavefront-proxy-report.controller");
const nass_service_1 = require("./services/nass/nass.service");
const config_1 = require("@nestjs/config");
const otsdb_line_processor_service_1 = require("./services/otsdbline-processor/otsdb-line-processor.service");
const wavefront_proxy_attributes_service_1 = require("./services/wavefront-proxy-attributes/wavefront-proxy-attributes.service");
const value_converter_service_1 = require("./services/value-converter/value-converter.service");
const metric_record_processor_service_1 = require("./services/metric-record-processor/metric-record-processor.service");
const metric_record_configuration_service_1 = require("./services/metric-record-configuration/metric-record-configuration.service");
const app_configuration_prod_1 = require("./app.configuration.prod");
const schedule_1 = require("@nestjs/schedule");
const configuration_yaml_service_1 = require("./services/configuration-yaml/configuration-yaml.service");
const dx_metric_processor_service_1 = require("./services/dx-metric-processor/dx-metric-processor.service");
const dx_accumulator_factory_service_1 = require("./services/dx-accumulator-factory/dx-accumulator-factory.service");
const dx_metric_reporter_service_1 = require("./services/dx-metric-reporter/dx-metric-reporter.service");
const event_emitter_1 = require("@nestjs/event-emitter");
const adapter_version_service_1 = require("./services/adapter-version/adapter-version.service");
let AppModule = class AppModule {
};
exports.AppModule = AppModule;
exports.AppModule = AppModule = __decorate([
    (0, common_1.Module)({
        imports: [
            config_1.ConfigModule.forRoot({
                load: [app_configuration_prod_1.default],
                envFilePath: '.env',
                isGlobal: true,
            }),
            schedule_1.ScheduleModule.forRoot(),
            event_emitter_1.EventEmitterModule.forRoot(),
        ],
        controllers: [
            app_controller_1.AppController,
            wavefront_proxy_checkin_controller_1.WavefrontProxyCheckinController,
            wavefront_proxy_report_controller_1.WavefrontProxyReportController,
        ],
        providers: [
            app_service_1.AppService,
            nass_service_1.NassService,
            otsdb_line_processor_service_1.OTSDBLineProcessorService,
            wavefront_proxy_attributes_service_1.WavefrontProxyAttributesService,
            value_converter_service_1.ValueConverterService,
            metric_record_processor_service_1.MetricRecordProcessorService,
            metric_record_configuration_service_1.MetricRecordConfigurationService,
            configuration_yaml_service_1.ConfigurationYamlService,
            dx_metric_processor_service_1.DXMetricProcessorService,
            dx_accumulator_factory_service_1.DXAccumulatorFactoryService,
            dx_metric_reporter_service_1.DXMetricReporterService,
            adapter_version_service_1.AdapterVersionService,
        ],
    })
], AppModule);
//# sourceMappingURL=app.module.js.map