export type MetricMatchType = 'EXACT' | 'REGEX';
export type TagMatchType = 'EXACT' | 'ATLEAST';
export type MetricDataType = 'FLUCTUATING' | 'AVERAGE' | 'RATE' | 'PER_INTERVAL' | 'PERCENTAGE' | 'TIMESTAMP' | 'STRING';
export interface MetricMatch {
    matchType: MetricMatchType;
    match: string;
}
export interface TagMatch {
    matchType: TagMatchType;
    tags: string[];
}
export interface MetricRecordMatch {
    metric: MetricMatch;
    tag: TagMatch;
}
export interface TagValue {
    tagName: string;
    tagValue: string;
}
export interface APMSourceConfiguration {
    segment1: string;
    segment2: string;
    segment3: string;
}
export interface MetricProducerConfig {
    source: APMSourceConfiguration;
    resource: string[];
    metric: string;
    metricType: MetricDataType;
    metricUnit?: string;
    metricScalar?: number;
}
export type TagsAsAttributesStrategy = 'ALL' | 'SPECIFIED';
export interface MetricConfig {
    description: string;
    enabled: boolean;
    match: MetricRecordMatch;
    metric: MetricProducerConfig;
    tagsAsAttributesStrategy?: TagsAsAttributesStrategy;
    tagsAsAttributes?: string[];
    additionalAttributes?: Record<string, string>;
    sampleValue?: string;
    sampleTags?: Record<string, string>;
}
export type MetricConfigTLE = MetricConfig[];
