import { NASS } from 'dx-do';
import { Logger } from '@nestjs/common';
import MetricRegistration = NASS.MetricRegistration;
export interface AccumulatedDatapoint {
    min: any;
    max: any;
    value: any;
    count: number;
}
export interface Accumulator {
    reportValue(valueAsString: string): void;
    dxMetric: MetricRegistration;
    collectAccumulatedDatapoint(): AccumulatedDatapoint;
}
export declare abstract class BaseAccumulator {
    dxMetric: MetricRegistration;
    protected logger: Logger;
    protected scalar: number;
    lastReportedTime: number;
    lastCollectedTime: number;
    protected constructor(dxMetric: MetricRegistration, scalar: number | undefined);
    protected getScaledValue(valueAsString: string): number;
    protected valueReported(): void;
    protected collected(): void;
}
