"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseAccumulator = void 0;
const common_1 = require("@nestjs/common");
class BaseAccumulator {
    constructor(dxMetric, scalar) {
        this.dxMetric = dxMetric;
        this.logger = new common_1.Logger('Accumulator');
        this.scalar = 1;
        if (scalar) {
            this.scalar = scalar;
        }
        this.logger.debug(`created ${this.constructor['name']} for ${dxMetric.sourceName}|${dxMetric.attributeName}`);
    }
    getScaledValue(valueAsString) {
        try {
            return Math.ceil(JSON.parse(valueAsString) * this.scalar);
        }
        catch (error) {
            throw new Error(`Unable to parse ${valueAsString} as a number`);
        }
    }
    valueReported() {
        this.lastReportedTime = new Date().getTime();
    }
    collected() {
        this.lastCollectedTime = new Date().getTime();
    }
}
exports.BaseAccumulator = BaseAccumulator;
//# sourceMappingURL=dx-accumulator-factory.model.js.map