"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PercentageAccumulator = void 0;
const dx_accumulator_factory_model_1 = require("./dx-accumulator-factory.model");
class PercentageAccumulator extends dx_accumulator_factory_model_1.BaseAccumulator {
    constructor(dxMetric, metricScalar) {
        super(dxMetric, metricScalar);
        this.count = 0;
    }
    reportValue(valueAsString) {
        try {
            const value = this.getScaledValue(valueAsString);
            if (!this.min || value < this.min) {
                this.min = value;
            }
            if (!this.max || value > this.max) {
                this.max = value;
            }
            this.value = value;
            this.count++;
        }
        catch (error) {
            this.logger.error(error);
        }
    }
    reset() {
        this.min = undefined;
        this.max = undefined;
        this.count = 0;
    }
    collectAccumulatedDatapoint() {
        const datapoint = {
            min: this.count > 0 ? this.min : 0,
            max: this.count > 0 ? this.max : 0,
            value: this.value ? this.value : 0,
            count: this.count,
        };
        this.reset();
        return datapoint;
    }
}
exports.PercentageAccumulator = PercentageAccumulator;
//# sourceMappingURL=percentage.accumulator.js.map