"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PerIntervalAccumulator = void 0;
const dx_accumulator_factory_model_1 = require("./dx-accumulator-factory.model");
class PerIntervalAccumulator extends dx_accumulator_factory_model_1.BaseAccumulator {
    constructor(dxMetric, metricScalar) {
        super(dxMetric, metricScalar);
        this.value = 0;
        this.count = 0;
    }
    reportValue(valueAsString) {
        try {
            const value = this.getScaledValue(valueAsString);
            this.value += value;
            this.count++;
        }
        catch (error) {
            this.logger.error(error);
        }
    }
    reset() {
        this.value = 0;
        this.count = 0;
    }
    collectAccumulatedDatapoint() {
        const datapoint = {
            min: this.value,
            max: this.value,
            value: this.value,
            count: this.count,
        };
        this.reset();
        return datapoint;
    }
}
exports.PerIntervalAccumulator = PerIntervalAccumulator;
//# sourceMappingURL=perinterval.accumulator.js.map