"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringAccumulator = void 0;
const dx_accumulator_factory_model_1 = require("./dx-accumulator-factory.model");
class StringAccumulator extends dx_accumulator_factory_model_1.BaseAccumulator {
    constructor(dxMetric, metricScalar) {
        super(dxMetric, metricScalar);
        this.count = 0;
    }
    reportValue(valueAsString) {
        try {
            this.value = valueAsString;
            this.count++;
        }
        catch (error) {
            this.logger.error(error);
        }
    }
    reset() {
        this.count = 0;
    }
    collectAccumulatedDatapoint() {
        const datapoint = {
            min: null,
            max: null,
            value: this.value,
            count: 0,
        };
        this.reset();
        return datapoint;
    }
}
exports.StringAccumulator = StringAccumulator;
//# sourceMappingURL=string.accumulator.js.map