"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimestampAccumulator = void 0;
const dx_accumulator_factory_model_1 = require("./dx-accumulator-factory.model");
class TimestampAccumulator extends dx_accumulator_factory_model_1.BaseAccumulator {
    constructor(dxMetric, metricScalar) {
        super(dxMetric, metricScalar);
    }
    reportValue(valueAsString) {
        try {
            const value = this.getScaledValue(valueAsString);
            if (!this.min) {
                this.min = value;
            }
            this.value = value;
            this.count++;
        }
        catch (error) {
            this.logger.error(error);
        }
    }
    reset() {
        this.count = 0;
    }
    collectAccumulatedDatapoint() {
        const datapoint = {
            min: this.min,
            max: this.value,
            value: this.value,
            count: 0,
        };
        this.reset();
        return datapoint;
    }
}
exports.TimestampAccumulator = TimestampAccumulator;
//# sourceMappingURL=timestamp.accumulator.js.map