import { MetricConfig } from '../../model/metric-config';
import { WaveFrontMetricRecord } from '../../model/reporting';
import { DXAccumulatorFactoryService } from '../dx-accumulator-factory/dx-accumulator-factory.service';
export declare class DXMetricProcessorService {
    private readonly accumulatorFactory;
    private logger;
    constructor(accumulatorFactory: DXAccumulatorFactoryService);
    processMetricRecordForConfig(metricConfig: MetricConfig, metricRecord: WaveFrontMetricRecord): void;
    private getMetricSource;
    private getMetricAttribute;
    private static interpolationRegex;
    interpolate(unterpolated: string, metricRecord: WaveFrontMetricRecord, escapeFunction?: (string: any) => string): string;
    private getInterpolationValue;
    private getTagInterpolationValue;
    private getMetricPartInterpolationValue;
    getMultipleMetricPartsInterpolationValue(interpolationTarget: string, metric: string): string;
    private getAttributes;
}
