import { WaveFrontMetricRecord } from '../../model/reporting';
import { MetricConfig } from '../../model/metric-config';
import { ConfigService } from '@nestjs/config';
import { ConfigurationYamlService } from '../configuration-yaml/configuration-yaml.service';
import { EventEmitter2 } from '@nestjs/event-emitter';
export declare class MetricRecordConfigurationService {
    private readonly configuration;
    private readonly configYAML;
    private eventEmitter;
    private logger;
    private proposedConfigurations;
    private proposedConfigurationNames;
    private spoolDisabled;
    private discoveryIndex;
    private configurationsMap;
    constructor(configuration: ConfigService, configYAML: ConfigurationYamlService, eventEmitter: EventEmitter2);
    private initializeConfigurationChangeWatcher;
    private loadConfigurations;
    private loadConfigurationFile;
    private spoolSampleConfigurations;
    getConfigurations(metricRecord: WaveFrontMetricRecord): MetricConfig[];
    handleOrderCreatedEvent(): void;
    private metricRecordConfigurationCacheHits;
    private metricRecordConfigurationCacheMisses;
    private recordConfigurationCache;
    private reportRecordConfigurationCacheStatistics;
    private getMatchingConfigurations;
    private getMetricRecordCacheKey;
    private proposeSampleConfiguration;
    private addToProposals;
    private alreadyProposed;
    private generateResource;
    private generateMetric;
    private configurationMatches;
    private metricMatches;
    private tagMatches;
    private exactTagMatch;
    private atleastTagMatch;
}
