"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var MetricRecordProcessorService_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetricRecordProcessorService = void 0;
const common_1 = require("@nestjs/common");
const metric_record_configuration_service_1 = require("../metric-record-configuration/metric-record-configuration.service");
const dx_metric_processor_service_1 = require("../dx-metric-processor/dx-metric-processor.service");
let MetricRecordProcessorService = MetricRecordProcessorService_1 = class MetricRecordProcessorService {
    constructor(metricRecordConfiguration, dxMetricService) {
        this.metricRecordConfiguration = metricRecordConfiguration;
        this.dxMetricService = dxMetricService;
        this.logger = new common_1.Logger(MetricRecordProcessorService_1.name);
        this.logger.log('service started');
    }
    processRecord(metricRecord) {
        this.metricRecordConfiguration
            .getConfigurations(metricRecord)
            .forEach((configuration) => {
            this.dxMetricService.processMetricRecordForConfig(configuration, metricRecord);
        });
    }
};
exports.MetricRecordProcessorService = MetricRecordProcessorService;
exports.MetricRecordProcessorService = MetricRecordProcessorService = MetricRecordProcessorService_1 = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [metric_record_configuration_service_1.MetricRecordConfigurationService,
        dx_metric_processor_service_1.DXMetricProcessorService])
], MetricRecordProcessorService);
//# sourceMappingURL=metric-record-processor.service.js.map