import { ConfigService } from '@nestjs/config';
import { NASS } from 'dx-do';
import MetricRegistration = NASS.MetricRegistration;
export declare class NassService {
    private readonly configService;
    private dxSaasService;
    private dxNassService;
    private metricTypeMap;
    private metricIdMap;
    private logger;
    constructor(configService: ConfigService);
    getConfig(): string;
    storeMetric(sourceName: string, attributeName: string, type: number, min: number | null, max: number | null, value: number | string, count: number, interval: number, tags: Record<string, string>): Promise<unknown>;
    storeMetrics(metricValues: NASS.MetricValue[]): Promise<unknown>;
    private getMetricId;
    registerMetrics(metricRegistrations: MetricRegistration[]): Promise<NASS.MetricRegistrationResponseBody>;
    registerMetric(sourceName: string, attributeName: string, type: number, tags: Record<string, string>): Promise<NASS.MetricRegistrationResponseBody>;
}
