"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var OTSDBLineProcessorService_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.OTSDBLineProcessorService = void 0;
const common_1 = require("@nestjs/common");
const shlex = require("shlex");
const metric_record_processor_service_1 = require("../metric-record-processor/metric-record-processor.service");
let OTSDBLineProcessorService = OTSDBLineProcessorService_1 = class OTSDBLineProcessorService {
    constructor(metricRecordProcessor) {
        this.metricRecordProcessor = metricRecordProcessor;
        this.logger = new common_1.Logger(OTSDBLineProcessorService_1.name);
        this.logger.log('service started');
    }
    parseTags(tags) {
        const returnTags = {};
        tags.forEach((tag) => {
            const tagName = tag.substring(0, tag.indexOf('='));
            const tagValue = tag.substring(tag.indexOf('=') + 1);
            returnTags[tagName] = tagValue;
        });
        return returnTags;
    }
    processLine(line, proxyId) {
        if (!line.startsWith('!')) {
            try {
                const splitLine = shlex.split(line);
                if (splitLine.length >= 4) {
                    const metricRecord = {
                        metric: splitLine[0],
                        rawValue: splitLine[1],
                        timestamp: splitLine[2],
                        tags: {},
                    };
                    const tags = splitLine.slice(3);
                    metricRecord.tags = this.parseTags(tags);
                    if (metricRecord.tags['source']) {
                        this.metricRecordProcessor.processRecord(metricRecord);
                    }
                    else {
                        this.logger.log("'source' tag missing from metric record: " +
                            JSON.stringify(metricRecord));
                    }
                }
            }
            catch (error) {
                this.logger.log(`Error handling input line: '${line}'`, error);
            }
        }
    }
};
exports.OTSDBLineProcessorService = OTSDBLineProcessorService;
exports.OTSDBLineProcessorService = OTSDBLineProcessorService = OTSDBLineProcessorService_1 = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [metric_record_processor_service_1.MetricRecordProcessorService])
], OTSDBLineProcessorService);
//# sourceMappingURL=otsdb-line-processor.service.js.map