"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var WavefrontProxyAttributesService_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.WavefrontProxyAttributesService = void 0;
const common_1 = require("@nestjs/common");
let WavefrontProxyAttributesService = WavefrontProxyAttributesService_1 = class WavefrontProxyAttributesService {
    constructor() {
        this.logger = new common_1.Logger(WavefrontProxyAttributesService_1.name);
        this.proxyAttributeMap = new Map();
        this.logger.log('service started');
    }
    updateProxyAttributes(queryParameters, headers) {
        if (headers && queryParameters && headers['x-wf-proxy-id']) {
            this.proxyAttributeMap.set(headers['x-wf-proxy-id'], {
                hostname: queryParameters['hostname'] ?? 'unknown',
                ephemeral: (queryParameters['ephemeral'] ?? 'false') === 'true',
                proxyname: queryParameters['proxyname'] ?? 'unknown',
                version: queryParameters['version'] ?? 'unknown',
                id: headers['x-wf-proxy-id'],
            });
        }
    }
    getProxyAttributes(proxyId) {
        return this.proxyAttributeMap.get(proxyId);
    }
};
exports.WavefrontProxyAttributesService = WavefrontProxyAttributesService;
exports.WavefrontProxyAttributesService = WavefrontProxyAttributesService = WavefrontProxyAttributesService_1 = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [])
], WavefrontProxyAttributesService);
//# sourceMappingURL=wavefront-proxy-attributes.service.js.map