export interface DXWavefrontProxyAdapterArguments {
    listenPort?: number;
    requestBodyMaxSize?: string;
    logLevels?: string;
    dxTenantConfig?: string;
    discoveryDirectory?: string;
    configurationsDirectory?: string;
    dumpConfigurationSchema?: boolean;
    help?: boolean;
}
export declare const cliOptionsConfig: {
    dumpConfigurationSchema: {
        type: BooleanConstructor;
        optional: boolean;
        description: string;
    };
    listenPort: {
        type: NumberConstructor;
        optional: boolean;
        description: string;
    };
    requestBodyMaxSize: {
        type: StringConstructor;
        optional: boolean;
        description: string;
    };
    logLevels: {
        type: StringConstructor;
        optional: boolean;
        description: string;
    };
    dxTenantConfig: {
        type: StringConstructor;
        optional: boolean;
        description: string;
    };
    discoveryDirectory: {
        type: StringConstructor;
        optional: boolean;
        alias: string;
        description: string;
    };
    configurationsDirectory: {
        type: StringConstructor;
        optional: boolean;
        alias: string;
        description: string;
    };
    help: {
        type: BooleanConstructor;
        optional: boolean;
        alias: string;
        description: string;
    };
};
export declare const cliOptionsHelpConfig: {
    helpArg: string;
    headerContentSections: {
        header: string;
        content: string;
    }[];
    footerContentSections: {
        header: string;
        content: string;
    }[];
};
export declare function parseCLIOptions(): DXWavefrontProxyAdapterArguments;
